<div ngClass="utility-container">
    <div class="utility-search-component nav-left">
        <div class="input-group">
            <mat-icon ngClass="utility-icon" style="margin-top:5px" (click)="backToAdminDashboard()">chevron_left</mat-icon>
            <mat-icon ngClass="utility-icon" style="margin-top:5px">search</mat-icon>
            <input type="text" (keyup)="initiateSearch($event)" class="input-mock-material" id="search" placeholder="Id transaksi atau PIC">
        </div>
    </div>
    <div class="utility-misc-component nav-right">
        <mat-basic-chip matTooltip="Jumlah Transaksi" ngClass="utility-chip">{{ transactionList.length }}</mat-basic-chip>
        <i fa [size]="'1'" matTooltip="Filter" [name]="'filter'" [ngClass]="{'utility-icon':true, 'active':activeFilter.itemPIC!=false||activeFilter.itemEntrustedStatus!=false}" (click)="openFilterDialog()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id Transaksi" [name]="'sort-alpha-asc'" *ngIf="sortCode===0" [ngClass]="{'utility-icon':true}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id Transaksi" [name]="'sort-alpha-asc'" *ngIf="sortCode===1" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Id Transaksi" [name]="'sort-alpha-desc'" *ngIf="sortCode===2" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <mat-icon matTooltip="Hapus Transaksi" ngClass="utility-icon delete-icon" *ngIf="deleteTarget && privileges.deleteTransaction" (click)="openDeleteDialog()">delete</mat-icon>
    </div>
</div>
<div ngClass="content-container" scrollTracker (reachedBottom)="getMoreData()">
    <p style="text-align: center; font-style: italic;" *ngIf="transactionList.length === 0">Transaksi tidak ditemukan</p>

    <app-transaction-card  *ngFor="let transaction of myTransactions"
                    [transaction]="transaction" (click)="onCardClick(transaction)"
                    [selectedId]="(selectedTransaction)?selectedTransaction.transactionId:undefined">

    </app-transaction-card>
</div>
<button mat-mini-fab *ngIf="privileges.addTransaction" ngClass="toggle-add-item" (click)="showAddTransactionForm()"><mat-icon>add</mat-icon></button>